"use strict";

const combinator = require("@validatem/combinator");
const validationResult = require("@validatem/validation-result");
const annotateErrors = require("@validatem/annotate-errors");

module.exports = function wrapPath(pathSegments, rules) {
	return combinator((value, applyValidators, context) => {
		let result = applyValidators(value, rules, context);

		return validationResult({
			newValue: result.newValue,
			errors: annotateErrors({
				errors: result.errors,
				pathSegments: pathSegments
			})
		});
	});
};
